Debian Bug report logs - #131997
glut header file has non-DFSG license, as do examples

version graph

Package: glutg3-dev; Maintainer for glutg3-dev is Jamie Wilkinson <jaq@debian.org>;

Reported by: David Starner <starner@okstate.edu>

Date: Sat, 2 Feb 2002 21:48:02 UTC

Severity: serious

Tags: patch

Found in version 3.7-11

Fixed in versions glut/3.7-12, glut/3.7-13

Done: Jamie Wilkinson <jaq@debian.org>

Bug is archived. No further changes may be made.

Forwarded to mjk@nvidia.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to David Starner <starner@okstate.edu>:
New Bug report received and forwarded. Copy sent to treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Starner <starner@okstate.edu>
To: submit@bugs.debian.org
Subject: glut header file has non-DFSG license, as do examples
Date: Sat, 2 Feb 2002 15:41:08 -0600
Package: glutg3-dev
Version: 3.7-11
Severity: serious

The license in /usr/include/GL/glut.h is

/* Copyright (c) Mark J. Kilgard, 1994, 1995, 1996, 1998. */

/* This program is freely distributable without licensing fees  and is
   provided without guarantee or warrantee expressed or  implied. This
   program is -not- in the public domain. */

Since this doesn't explicitly give users the right to modify, it's not
DFSG.

-- 
David Starner - starner@okstate.edu, dvdeug/jabber.com (Jabber)
Pointless website: http://dvdeug.dhis.org
What we've got is a blue-light special on truth. It's the hottest thing 
with the youth. -- Information Society, "Peace and Love, Inc."



Information forwarded to debian-bugs-dist@lists.debian.org, treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to "James A. Treacy" <treacy@debian.org>:
Extra info received and forwarded to list. Copy sent to treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 131997@bugs.debian.org (full text, mbox):

From: "James A. Treacy" <treacy@debian.org>
To: David Starner <starner@okstate.edu>, 131997@bugs.debian.org
Subject: Re: Bug#131997: glut header file has non-DFSG license, as do examples
Date: Sat, 2 Feb 2002 22:22:39 -0500
On Sat, Feb 02, 2002 at 03:41:08PM -0600, David Starner wrote:
> Package: glutg3-dev
> Version: 3.7-11
> Severity: serious
> 
> The license in /usr/include/GL/glut.h is
> 
> /* Copyright (c) Mark J. Kilgard, 1994, 1995, 1996, 1998. */
> 
> /* This program is freely distributable without licensing fees  and is
>    provided without guarantee or warrantee expressed or  implied. This
>    program is -not- in the public domain. */
> 
> Since this doesn't explicitly give users the right to modify, it's not
> DFSG.
> 
I wrote to Mark many years ago and he said the intention of the above is
that you can pretty much do what you want with it, but that he wants to
retain the copyright. I asked him to include a proper license but he
didn't feel it was a very important issue. Feel free to bug Mark
about this.

-- 
James (Jay) Treacy
treacy@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to Jamie Wilkinson <jaq@spacepants.org>:
Extra info received and forwarded to list. Copy sent to treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 131997@bugs.debian.org (full text, mbox):

From: Jamie Wilkinson <jaq@spacepants.org>
To: 131997@bugs.debian.org
Subject: getting clarification on license
Date: Mon, 11 Feb 2002 11:17:27 +1100
I have contacted Mark Kilgard and asked for clarification on the license,
hopefully he will respond soon.

-- 
jaq@spacepants.org                           http://spacepants.org/jaq.gpg
 
I don't want to look like a weirdo.  I'll just go with a muumuu.
        -- Homer Simpson, King-Size Homer



Reply sent to Jamie Wilkinson <jaq@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Starner <starner@okstate.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 131997-close@bugs.debian.org (full text, mbox):

From: Jamie Wilkinson <jaq@debian.org>
To: 131997-close@bugs.debian.org
Subject: Bug#131997: fixed in glut 3.7-12
Date: Tue, 12 Feb 2002 15:02:33 -0500
We believe that the bug you reported is fixed in the latest version of
glut, which has been installed in the Debian FTP archive:

glut-doc_3.7-12_all.deb
  to pool/main/g/glut/glut-doc_3.7-12_all.deb
glut_3.7-12.diff.gz
  to pool/main/g/glut/glut_3.7-12.diff.gz
glut_3.7-12.dsc
  to pool/main/g/glut/glut_3.7-12.dsc
glutg3-dev_3.7-12_i386.deb
  to pool/main/g/glut/glutg3-dev_3.7-12_i386.deb
glutg3_3.7-12_i386.deb
  to pool/main/g/glut/glutg3_3.7-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 131997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamie Wilkinson <jaq@debian.org> (supplier of updated glut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 13 Feb 2002 00:39:56 +1100
Source: glut
Binary: glut-doc glutg3-dev glutg3
Architecture: source i386 all
Version: 3.7-12
Distribution: unstable
Urgency: low
Maintainer: Jamie Wilkinson <jaq@debian.org>
Changed-By: Jamie Wilkinson <jaq@debian.org>
Description: 
 glut-doc   - Example programs and support documentation for GLUT.
 glutg3     - The OpenGL Utility Toolkit.
 glutg3-dev - Development library for GLUT.
Closes: 75313 130771 131997 132020
Changes: 
 glut (3.7-12) unstable; urgency=low
 .
   * New maintainer (Closes: #132020)
   * Removed ^Ms from manpages (Closes: #130771)
   * Patch for #75313 has already been applied (Closes: #75313)
   * GLUT headers and examples are actually DFSG free,
     see debian/copyright (Closes: #131997)
Files: 
 5954c2ddb487b69b1b1539bb14e20435 641 graphics optional glut_3.7-12.dsc
 0d1534673e28edfb781f7dab7dae99c2 103435 graphics optional glut_3.7-12.diff.gz
 2cdcedf182077535280f0203e297069e 178750 libs optional glutg3_3.7-12_i386.deb
 de41d53170822ec734435ced10abb6b6 202178 devel optional glutg3-dev_3.7-12_i386.deb
 4846b6ae9cbeea059fab8a95cb0ca351 2987178 graphics optional glut-doc_3.7-12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjxpHPUACgkQ5u9oNyz9HDhY7gCfZXPecG4fA4wQlHP+mQPN8Lyb
XAMAni73QATq6L/GW6O0HvPOedMhCEo6
=7kz7
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to David Starner <starner@okstate.edu>:
Extra info received and forwarded to list. Copy sent to treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 131997@bugs.debian.org (full text, mbox):

From: David Starner <starner@okstate.edu>
To: 131997@bugs.debian.org
Cc: David Starner <starner@okstate.edu>, debian-legal@lists.debian.org
Subject: Re: Bug#131997 acknowledged by developer (Bug#131997: fixed in glut 3.7-12)
Date: Tue, 12 Feb 2002 14:41:21 -0600
reopen 131997
thanks

>    * GLUT headers and examples are actually DFSG free,
>      see debian/copyright (Closes: #131997)

The headers say

/* Copyright (c) Mark J. Kilgard, 1994, 1995, 1996, 1998. */

/* This program is freely distributable without licensing fees  and is
   provided without guarantee or warrantee expressed or  implied. This
   program is -not- in the public domain. */

and debian/copyright says

  NOTICE:  The OpenGL Utility Toolkit (GLUT) distribution contains source
  code published in a book titled "Programming OpenGL for the X Window
  System" (ISBN: 0-201-48359-9) published by Addison-Wesley.  The
  programs and associated files contained in the distribution were
  developed by Mark J. Kilgard and are Copyright 1994, 1995, 1996 by Mark
  J. Kilgard (unless otherwise noted).  The programs are not in the
  public domain, but they are freely distributable without licensing
  fees.  These programs are provided without guarantee or warrantee
  expressed or implied.
.

That's not a DFSG-free license - there's no right to modify given. I've
been told that the author basically means the X11 license, but if so,
then he needs to state that, and that needs to be included in the
package.

-- 
David Starner / Давид Старнзр - starner@okstate.edu
Pointless website: http://dvdeug.dhis.org
What we've got is a blue-light special on truth. It's the hottest thing 
with the youth. -- Information Society, "Peace and Love, Inc."



Bug reopened, originator not changed. Request was from David Starner <starner@okstate.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to David Starner <starner@okstate.edu>:
Extra info received and forwarded to list. Copy sent to treacy@debian.org (James A. Treacy), glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #32 received at 131997@bugs.debian.org (full text, mbox):

From: David Starner <starner@okstate.edu>
To: jaq@debian.org, debian-legal@lists.debian.org, 131997@bugs.debian.org
Subject: Re: Bug#131997 acknowledged by developer (Bug#131997: fixed in glut 3.7-12)
Date: Tue, 12 Feb 2002 14:50:14 -0600
Apparently, the maintainer of Glut hasn't been changed yet.
So I'll cc you directly. (Sorry for the extra copies, James.)

On Tue, Feb 12, 2002 at 02:41:21PM -0600, David Starner wrote:
> reopen 131997
> thanks
> 
> >    * GLUT headers and examples are actually DFSG free,
> >      see debian/copyright (Closes: #131997)
> 
> The headers say
> 
> /* Copyright (c) Mark J. Kilgard, 1994, 1995, 1996, 1998. */
> 
> /* This program is freely distributable without licensing fees  and is
>    provided without guarantee or warrantee expressed or  implied. This
>    program is -not- in the public domain. */
> 
> and debian/copyright says
> 
>   NOTICE:  The OpenGL Utility Toolkit (GLUT) distribution contains source
>   code published in a book titled "Programming OpenGL for the X Window
>   System" (ISBN: 0-201-48359-9) published by Addison-Wesley.  The
>   programs and associated files contained in the distribution were
>   developed by Mark J. Kilgard and are Copyright 1994, 1995, 1996 by Mark
>   J. Kilgard (unless otherwise noted).  The programs are not in the
>   public domain, but they are freely distributable without licensing
>   fees.  These programs are provided without guarantee or warrantee
>   expressed or implied.
> .
> 
> That's not a DFSG-free license - there's no right to modify given. I've
> been told that the author basically means the X11 license, but if so,
> then he needs to state that, and that needs to be included in the
> package.
> 
> -- 
> David Starner / Давид Старнзр - starner@okstate.edu
> Pointless website: http://dvdeug.dhis.org
> What we've got is a blue-light special on truth. It's the hottest thing 
> with the youth. -- Information Society, "Peace and Love, Inc."
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-legal-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 

-- 
David Starner / Давид Старнзр - starner@okstate.edu
Pointless website: http://dvdeug.dhis.org
What we've got is a blue-light special on truth. It's the hottest thing 
with the youth. -- Information Society, "Peace and Love, Inc."



Information forwarded to debian-bugs-dist@lists.debian.org, Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #37 received at 131997@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: David Starner <starner@okstate.edu>
Cc: jaq@debian.org, debian-legal@lists.debian.org, 131997@bugs.debian.org
Subject: Re: Bug#131997 acknowledged by developer (Bug#131997: fixed in glut 3.7-12)
Date: 15 Feb 2002 02:21:18 -0500
>>>>> "David" == David Starner <starner@okstate.edu> writes:

    David> Apparently, the maintainer of Glut hasn't been changed yet.
    David> So I'll cc you directly. (Sorry for the extra copies, James.)

    David> On Tue, Feb 12, 2002 at 02:41:21PM -0600, David Starner wrote:
    >> reopen 131997
    >> thanks
    >> 
    >> >    * GLUT headers and examples are actually DFSG free,
    >> >      see debian/copyright (Closes: #131997)

I agree with the argument that this is not DFSG free.  I'm posting
mostly because it's unclear when no one responds to a message whether
a consensus exists or whether the comment has not been read.

I think this license is sufficiently obviously DFSG non-free that
whoever claimed it was free and closed the bug should spend some time
reviewing the DFSG before continuing to maintain packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to Jamie Wilkinson <jaq@spacepants.org>:
Extra info received and forwarded to list. Copy sent to Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #42 received at 131997@bugs.debian.org (full text, mbox):

From: Jamie Wilkinson <jaq@spacepants.org>
To: David Starner <starner@okstate.edu>
Cc: debian-legal@lists.debian.org, 131997@bugs.debian.org
Subject: Re: Bug#131997 acknowledged by developer (Bug#131997: fixed in glut 3.7-12)
Date: Fri, 15 Feb 2002 20:57:22 +1100
This one time, at band camp, David Starner wrote:
>On Tue, Feb 12, 2002 at 02:41:21PM -0600, David Starner wrote:
>> reopen 131997
>> thanks
>> 
>> >    * GLUT headers and examples are actually DFSG free,
>> >      see debian/copyright (Closes: #131997)
>> 
>> and debian/copyright says
>> 
>>   NOTICE:  The OpenGL Utility Toolkit (GLUT) distribution contains source
>>   code published in a book titled "Programming OpenGL for the X Window
>>   System" (ISBN: 0-201-48359-9) published by Addison-Wesley.  The
>>   programs and associated files contained in the distribution were
>>   developed by Mark J. Kilgard and are Copyright 1994, 1995, 1996 by Mark
>>   J. Kilgard (unless otherwise noted).  The programs are not in the
>>   public domain, but they are freely distributable without licensing
>>   fees.  These programs are provided without guarantee or warrantee
>>   expressed or implied.

debian/copyright also includes upstreams response to my queries, which you
conveniently failed to include.  In that mail, Mark Kilgard makes it quite
clear that the user certainly has a right to modify his code.

>> That's not a DFSG-free license - there's no right to modify given. I've
>> been told that the author basically means the X11 license, but if so,
>> then he needs to state that, and that needs to be included in the
>> package.

ITYM "no right to modify explicitly given".  And if you bothered to read all
of debian/copyright, you would have realised that I had included what the
author means in the package.

-- 
jaq@spacepants.org                           http://spacepants.org/jaq.gpg
 
And, Lord, we're especially thankful for nuclear power, the cleanest,
safest energy source there is, except for solar, which is just a pipe
dream.
        -- Homer Simpson, Bart Vs. Thanksgiving



Information forwarded to debian-bugs-dist@lists.debian.org, Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to Jamie Wilkinson <jaq@spacepants.org>:
Extra info received and forwarded to list. Copy sent to Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #47 received at 131997@bugs.debian.org (full text, mbox):

From: Jamie Wilkinson <jaq@spacepants.org>
To: Sam Hartman <hartmans@debian.org>
Cc: debian-legal@lists.debian.org, 131997@bugs.debian.org
Subject: Re: Bug#131997 acknowledged by developer (Bug#131997: fixed in glut 3.7-12)
Date: Fri, 15 Feb 2002 20:59:16 +1100
This one time, at band camp, Sam Hartman wrote:
>I think this license is sufficiently obviously DFSG non-free that
>whoever claimed it was free and closed the bug should spend some time
>reviewing the DFSG before continuing to maintain packages.

I think that you have sufficiently obviously not read the license of this
package that you should spend some time doing so before continuing to give
out your opinions.

-- 
jaq@spacepants.org                           http://spacepants.org/jaq.gpg
 
<XFire> FHFS, perl does not suck, its just different. :P~
<StyxToo> In the way that a man with no arms, no legs and an impacted
          brain stem is "different"
<StyxToo> Would you go to war with him? I don't think so
        -- #spankyhouse



Information forwarded to debian-bugs-dist@lists.debian.org, Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to David Starner <starner@okstate.edu>:
Extra info received and forwarded to list. Copy sent to Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #52 received at 131997@bugs.debian.org (full text, mbox):

From: David Starner <starner@okstate.edu>
To: Jamie Wilkinson <jaq@spacepants.org>
Cc: debian-legal@lists.debian.org, 131997@bugs.debian.org
Subject: Re: Bug#131997 acknowledged by developer (Bug#131997: fixed in glut 3.7-12)
Date: Fri, 15 Feb 2002 10:25:04 -0600
On Fri, Feb 15, 2002 at 08:57:22PM +1100, Jamie Wilkinson wrote:
> debian/copyright also includes upstreams response to my queries, which you
> conveniently failed to include.  In that mail, Mark Kilgard makes it quite
> clear that the user certainly has a right to modify his code.

I'm sorry; the changelog didn't lead me to believe that debian/copyright
had changed. I'm sorry I made that assumption.

But let's look at that change:
 
Regarding bug#131997:

  From: Mark Kilgard <mjk@nvidia.com>
  To: "'Jamie Wilkinson'" <jaq@debian.org>
  Subject: RE: GLUT license
  Date: Tue, 12 Feb 2002 00:39:29 -0800

  Jamie,

  An "an open bug against GLUT regarding the license"?  That is so
  Richard-Stallman-open-source-zealot-idiotic.  You have a bug against
  a licensee?  Funniest thing I heard all day.

  What would it mean for someone to not have the "right to modify
  the code"?  Are you saying I'm going to keep someone from editing
  GLUT source files on their own hard drive?  Exactly how would I do that?
  Better yet, why would I even care?

  I wrote GLUT to make it easy for anyone to learn how to program in OpenGL
  and make a cool demo that can port easily, etc.  I have absolutely no
  interest
  in some your "social contract" or whatever your agenda happens to be.  If
  GLUT is useful, make it available; if your ideology gets in the way of
  that, not my problem.

  - Mark

So what does this change? I still don't know if we could get sued for
changing glut_teapot to produce a Debian swirl. We don't care about
modifying GLUT source code on the hard drive; we need to know we can
modify it and distribute it.

-- 
David Starner / Давид Старнэр - starner@okstate.edu
Pointless website: http://dvdeug.dhis.org
What we've got is a blue-light special on truth. It's the hottest thing 
with the youth. -- Information Society, "Peace and Love, Inc."



Information forwarded to debian-bugs-dist@lists.debian.org, Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #57 received at 131997@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: mjk@nvidia.com
Subject: GLUT header file and example licensing question
Date: Sat, 16 Feb 2002 03:16:00 -0500
[Message part 1 (text/plain, inline)]
On Fri, Feb 15, 2002 at 10:25:04AM -0600, David Starner wrote:
> Regarding bug#131997:
> 
>   From: Mark Kilgard <mjk@nvidia.com>
>   To: "'Jamie Wilkinson'" <jaq@debian.org>
>   Subject: RE: GLUT license
>   Date: Tue, 12 Feb 2002 00:39:29 -0800
> 
>   Jamie,
> 
>   An "an open bug against GLUT regarding the license"?  That is so
>   Richard-Stallman-open-source-zealot-idiotic.  You have a bug against
>   a licensee?  Funniest thing I heard all day.

Perhaps I'm a bit dense, but I don't quite see what end these derisive
remarks serve.

>   What would it mean for someone to not have the "right to modify
>   the code"?

More to the point, the right to redistribute modified versions of the
code.

>   Are you saying I'm going to keep someone from editing GLUT source
>   files on their own hard drive?

I don't know; are you?  More to the point, is it your intention to tell
them that they can't -- or shouldn't -- modify GLUT source files on
their own hard drive and then shoot them across the LAN to their
roommate or co-worker?  Or around the world to a friend in Australia?

>   Exactly how would I do that?

By invoking copyright law to tell people they can't.  It's a popular
thing to do these days.  Some music and movie companies don't even want
you to have a digital copy of the works they produce on your hard drive,
let alone modify them.  If you're incredulous at this, I sympathize.  I
can send you references to various news sites corroborating my
assertions, if you like.

>   Better yet, why would I even care?

You don't have to.  Under the Copyright Act of 1976[1] you automatically
reserve all rights in work under which you hold the copyright except
where you explicitly grant authorization (or "license").  I'm sorry if
this incoveniences you, but you have the U.S. Congress to thank for
that, not the Debian Project.  We weren't around in 1976.  :)

Under the Digital Millenium Copyright Act, if you do anything at all to
make it the slightest bit inconvenient to access a work of yours except
in a manner which you specific directly as permitted, people in mere
possession of a work under which you hold the copyright can be subject
to civil and criminal penalties for accessing your work in a manner you
didn't foresee.

There are very large companies with very deep pockets who can and do
exercise their privileges under Copyright law to threaten, harass, and
sue people on the grounds of copyright infringment.  I appreciate your
stature in the computer graphics community, but I think it is a bit much
to expect the entire world to somehow know that various things are okay
to do with Mark Kilgard's code unless you explicitly tell them.
Especially when those same uses of that same code, were the copyright
held by, say, Microsoft, would get them in heaps of trouble.

The best place, in my opinion, to let people know what you consider okay
is in the software license.  However, for Debian's purposes, an explicit
clarification from you in email will do.  You have privileges that
automatically attach to your work under U.S. law and you should probably
tell people which ones you don't care about if you want them to know.

>   I wrote GLUT to make it easy for anyone to learn how to program in
>   OpenGL and make a cool demo that can port easily, etc.  I have
>   absolutely no interest in some your "social contract" or whatever
>   your agenda happens to be.

No one is asking you to have an interest in our organization.  I'd like
to ask you to take the time to answer a few straightforward questions
(see below) about the licensing of the GLUT header files and examples.

>   If GLUT is useful, make it available; if your ideology gets in the
>   way of that, not my problem.

If not wanting to end up named as a defendant in a copyright infringment
suit is "ideology", then I guess I, for one, have to plead guilty to
being an ideologue.  Personally, I don't want to be a defendant in court
for any reason.  Hopefully you can empathize with that sentiment.

What Debian is trying to do is make GLUT available in a way such that
other people can make certain assumptions about it.  If we're going to
let them make such assumptions, we need to make sure our ducks are in a
row.  We couldn't completely determine this from the copyright
information you've made available.

If you could clarify the following points about your copyrighted work,
we can probably put this issue to bed:

1) Do you grant the public permission to access, use, copy, and
distribute your work?

2) Do you grant the public permission to modify your work, as long as
your copyright notice is preserved?

3) Do you grant the public permission to access, use, copy, and
distribute their modified versions of your work, as long as your
copyright notice is preserved?

In less uncivilized times, the permissions to "access" and "use" went
without saying.  Then the Digital Millenium Copyright Act passed, and
most of what little sanity remained in copyright law flew right out the
window.  If it annoys you that the law is so divergent from what you
feel should be common sense regarding software, you're not alone; I
encourage you to get politically active on this issue.  Your voice could
be a promiment one, if you choose to speak.

Thanks for your time.

[1] By the way, if you don't believe me about the Copyright Act, see:
http://www4.law.cornell.edu/uscode/17/106.html

"the owner of copyright under this title has the exclusive rights to do
and to authorize any of the following:
[...]
prepare derivative works based upon the copyrighted work;"

Yes, that includes derivative works produced in the privacy of one's own
home.  No, I'm not saying that is an example of the law in its most sane
and reasonable hour.

-- 
G. Branden Robinson                |    The basic test of freedom is
Debian GNU/Linux                   |    perhaps less in what we are free to
branden@debian.org                 |    do than in what we are free not to
http://people.debian.org/~branden/ |    do.                  -- Eric Hoffer
[Message part 2 (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to mjk@nvidia.com. Request was from Jamie Wilkinson <jaq@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Jamie Wilkinson <jaq@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #66 received at 131997@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: Mark Kilgard <mjk@nvidia.com>
Cc: David Starner <starner@okstate.edu>, 131997@bugs.debian.org
Subject: GLUT license
Date: Fri, 22 Mar 2002 16:15:01 +1000
Hi Mark,

As you know, Debian is a bit paranoid about licensing, and as you've
seen, that paranoia's hit glut recently. Would it be possible for you
to just make it absolutely clear that everyone's allowed to use, copy,
and modify (and distribute their modifications) of libglut?

Just quoting the above and replying "Yes, that's fine" or similar would
be okay.

Thanks in advance for your time.

Cheers,
aj (Debian release manager)

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

  ``Debian: giving you the power to shoot yourself in each 
       toe individually.'' -- with kudos to Greg Lehey



Information forwarded to debian-bugs-dist@lists.debian.org, Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org:
Bug#131997; Package glutg3-dev. Full text and rfc822 format available.

Acknowledgement sent to Mark Kilgard <mjk@nvidia.com>:
Extra info received and forwarded to list. Copy sent to Jamie Wilkinson <jaq@debian.org>, glut@packages.qa.debian.org. Full text and rfc822 format available.

Message #71 received at 131997@bugs.debian.org (full text, mbox):

From: Mark Kilgard <mjk@nvidia.com>
To: "'Anthony Towns'" <aj@azure.humbug.org.au>
Cc: David Starner <starner@okstate.edu>, 131997@bugs.debian.org
Subject: RE: GLUT license
Date: Thu, 21 Mar 2002 22:56:30 -0800
Anthony,

> Would it be possible for you to just make it absolutely clear that
> everyone's allowed to use, copy, and modify (and distribute their
> modifications) of libglut?
> 
> Just quoting the above and replying "Yes, that's fine" or similar would be
okay.

Yes, that's fine.

Were you the losers that sent me email about a a "bug" filed against
GLUT's licensee?  I tell that story occasionally as an example of
what idiots there are in the world.

Please don't reply and waste my time with your GNU zealotry/stupidity.

- Mark

-----Original Message-----
From: Anthony Towns [mailto:aj@azure.humbug.org.au] 
Sent: Friday, March 22, 2002 12:15 AM
To: Mark Kilgard
Cc: David Starner; 131997@bugs.debian.org
Subject: GLUT license


Hi Mark,

As you know, Debian is a bit paranoid about licensing, and as you've seen,
that paranoia's hit glut recently. Would it be possible for you to just make
it absolutely clear that everyone's allowed to use, copy, and modify (and
distribute their modifications) of libglut?

Just quoting the above and replying "Yes, that's fine" or similar would be
okay.

Thanks in advance for your time.

Cheers,
aj (Debian release manager)

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/> I don't
speak for anyone save myself. GPG signed mail preferred.

  ``Debian: giving you the power to shoot yourself in each 
       toe individually.'' -- with kudos to Greg Lehey



Tags set to: patch Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jamie Wilkinson <jaq@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Starner <starner@okstate.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #78 received at 131997-close@bugs.debian.org (full text, mbox):

From: Jamie Wilkinson <jaq@debian.org>
To: 131997-close@bugs.debian.org
Subject: Bug#131997: fixed in glut 3.7-13
Date: Fri, 22 Mar 2002 22:47:10 -0500
We believe that the bug you reported is fixed in the latest version of
glut, which is due to be installed in the Debian FTP archive:

glut-doc_3.7-13_all.deb
  to pool/main/g/glut/glut-doc_3.7-13_all.deb
glut_3.7-13.diff.gz
  to pool/main/g/glut/glut_3.7-13.diff.gz
glut_3.7-13.dsc
  to pool/main/g/glut/glut_3.7-13.dsc
glutg3-dev_3.7-13_i386.deb
  to pool/main/g/glut/glutg3-dev_3.7-13_i386.deb
glutg3_3.7-13_i386.deb
  to pool/main/g/glut/glutg3_3.7-13_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 131997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamie Wilkinson <jaq@debian.org> (supplier of updated glut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 23 Mar 2002 13:41:41 +1100
Source: glut
Binary: glut-doc glutg3-dev glutg3
Architecture: source i386 all
Version: 3.7-13
Distribution: unstable
Urgency: medium
Maintainer: Jamie Wilkinson <jaq@debian.org>
Changed-By: Jamie Wilkinson <jaq@debian.org>
Description: 
 glut-doc   - Example programs and support documentation for GLUT.
 glutg3     - The OpenGL Utility Toolkit.
 glutg3-dev - Development library for GLUT.
Closes: 131997
Changes: 
 glut (3.7-13) unstable; urgency=medium
 .
   * The "For Lazarus' Sake, it's Free Software" release.
   * Removed libgle from this package, as it and corresponding -dev
     package is now provided by a separate source.
   * Removed gle from libs/Imakefile
   * Changed the notice in debian/copyright regarding the right to
     distribute modified binaries, now blessed by Mark "Just Because I'm A CG
     Genius Doesn't Mean I'm Not A Stubborn Arsehole" Kilgard. (Closes: #131997)
Files: 
 4806f8f2962dfe8d1409ba2427662221 656 graphics optional glut_3.7-13.dsc
 ba4ce4ead33c834e22a16af5ff530a15 103361 graphics optional glut_3.7-13.diff.gz
 185f16c64eaa470a65f2279ce8aa6ade 155192 libs optional glutg3_3.7-13_i386.deb
 ee20f83c5d1a619e113ca7365c900af0 177582 devel optional glutg3-dev_3.7-13_i386.deb
 24a12e70d943a515e960683ddc32ca3d 2951558 graphics optional glut-doc_3.7-13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjyb9GcACgkQ5u9oNyz9HDifVwCdHJCzAJ3Hy8vcsZFTp+vGgTvY
OSIAnivkifkc9kDVz6DNcGrCJj40BToQ
=t9qB
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:00:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.